Bug 801551 - Upgrade from 3.0.0.GA to 3.0.1.CR6 - Failed to register server plugins NPE when changing Server Name field in installer
Upgrade from 3.0.0.GA to 3.0.1.CR6 - Failed to register server plugins NPE wh...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server, Installer, Plugins (Show other bugs)
4.3
Unspecified Unspecified
medium Severity urgent (vote)
: ---
: JON 3.1.1
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks: 833391
  Show dependency treegraph
 
Reported: 2012-03-08 15:06 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 801812 833391 (view as bug list)
Environment:
Last Closed: 2013-09-03 11:02:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
3.0.1.CR6 server log (129.49 KB, application/octet-stream)
2012-03-08 15:08 EST, Libor Zoubek
no flags Details

  None (edit)
Description Libor Zoubek 2012-03-08 15:06:51 EST
Description of problem: I've been doing upgrade testing from JON 3.0.0.GA to JON.3.0.1.CR6. Steps to reproduce bellow are exactly what I did and may not be needed.  


Version-Release number of selected component (if applicable):
Version: 3.0.1.GA
Build Number: bf8f49a:9fe6384


Steps to Reproduce:
1.have JON 3.0.0.GA with eap & ews plugin packs
2.inventory eap 5.1.2 instance
3.upgrade to 3.0.1.GA
4.upgrade eap&ews plugins to 3.0.1.GA
  
Actual results: There is a bunch of NPEs in server log. Server plugins causing NPEs and are not upgraded to 3.0.1 -> UI stil shows 3.0.0.GA version of them


Expected results: all serer plugins are upgraded


Additional info:I am attaching 3.0.1 server log
Comment 1 Libor Zoubek 2012-03-08 15:08:12 EST
Created attachment 568735 [details]
3.0.1.CR6 server log
Comment 2 Charles Crouch 2012-03-08 22:09:52 EST
Is this reproducible?
Comment 3 Libor Zoubek 2012-03-09 06:50:50 EST
It is reporducible. But, I forgot to mention one important thing. I have changed "Server name" field  on installation jsf page when upgrading to 3.0.1. Without changing "Server Name" this issue does not happen.
Comment 4 Charles Crouch 2012-03-09 10:02:58 EST
Given Libor's comment: "I have changed "Server name" field  on installation jsf page when upgrading to 3.0.1. Without changing "Server Name" this issue does not happen." I don't see this as a blocker for 3.0.1. 

We should probably just reset the "Server Name" field and whatever other fields we don't support change on upgrades, when the upgrade option is selected. I'll leave this bug open for that, but drop the priority and take the target release off

In the meantime I'll raise a doc BZ for 3.0.1 to tell people not to change the "Server Name" field when upgrading.
Comment 5 Jay Shaughnessy 2012-05-11 15:17:48 EDT
Well, I think you are allowed to enter a server name, but this would in effect try to add another server, HA style.  But if you do that you should also be changing other things, like the unique endpoint.

There is a message on the installer screen:

  "If installing a new server enter the server endpoint settings below:"

If you are upgrading an existing server the expectation is, I think, that you will leave the server name alone.
Comment 7 Lukas Krejci 2012-06-19 07:50:05 EDT
The fix is in master with bug 833391
Comment 8 John Sanda 2012-08-02 14:51:49 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 9 John Sanda 2012-08-02 21:19:06 EDT
Moving back to ON_DEV. This was incorrectly moved to ON_QA in comment 8.
Comment 10 Lukas Krejci 2012-08-13 11:35:13 EDT
release/jon3.1.x http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=a2e555ff6f1b375a88abebe111fcc603625e0f1e
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Tue Jun 19 13:15:37 2012 +0200

    [BZ 801551] - Make sure the server name is not editable when upgrading
    existing server in the installer.
    (cherry picked from commit a580f69b6dbf05df46c766daec53982365dac52e)
Comment 11 John Sanda 2012-08-13 22:16:30 EDT
Moving to ON_QA since JON 3.1.1 ER2 build is availble - https://brewweb.devel.redhat.com/buildinfo?buildID=228250
Comment 12 Filip Brychta 2012-08-20 12:16:47 EDT
Relevant commit is NOT in JON 3.1.1 ER2
Comment 13 John Sanda 2012-08-20 12:33:00 EDT
Moving back to MODIFIED since this change will be available in the ER3 build.
Comment 14 John Sanda 2012-08-22 01:52:58 EDT
Moving to ON_QA. The JON 3.1.1 ER3 build is available at https://brewweb.devel.redhat.com/buildinfo?buildID=230321.
Comment 15 Filip Brychta 2012-08-23 11:29:44 EDT
Verified on The JON 3.1.1 ER3
Comment 16 Heiko W. Rupp 2013-09-03 11:02:10 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.